/*
Author: Jada Williams
Date: 2/1/26
File Name: Styles.css
*/
/* CSS Reset */
 body, header, nav, main, footer, u1, section, article, aside{
 margin: 0;
 padding: 0;
 border: 0;
 }
 
 /* Body */
 body {
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: white;
}

.top-header {
  background-color: white;
  color: black;
  padding: 10px 20px;
}

.top-header h1 {
  margin: 0;
  font-size: 28px;
  font-weight: bold;
}

/* black nav bar */
.navbar {
  background-color: #111;
  display: flex;
  align-items: center;
  padding: 14px 20px;
}

/* hamburger */
.menu-icon {
  display: none;
  color: white;
  font-size: 28px;
  cursor: pointer;
  margin-right: 20px;
}

/* menu layout */
.menu {
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
  list-style: none;
  margin: 0;
  padding: 0;
}

/* links */
.menu li a {
  color: white;
  text-decoration: none;
  font-weight: bold;
  text-transform: uppercase;
  font-size: 14px;
}

.menu li a:hover {
  color: red;
}
 
 /* Navigation bar */
 .navbar {
  display: flex;
  align-items: center;
  background-color: #111;
  padding: 10px;
}

/* hamburger on left */
.menu-icon {
  color: white;
  font-size: 24px;
  margin-right: 20px;
  cursor: pointer;
}

/* nav links */
.menu {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
}

.menu {
  display: flex;          /* THIS makes it horizontal */
  list-style: none;
  margin: 0;
  padding: 0;
}

.menu li {
  margin-right: 25px;
}

.navbar {
  display: flex;
  align-items: center;
  background-color: #111;   /* dark like Kpop site */
  padding: 15px;
  color: white;
}

.menu a {
  font-weight: bold;
  font-size: 14px;
}

.menu a:hover {
  color: red;
}
.menu-icon {
    color: white;
    font-size: 24px;
    margin-right: 20px;
    cursor: pointer;
}
.menu a {
    color: white;
    text-decoration: none;
    letter-spacing: 1px;
    text-transform: uppercase;
}



/* Mobile Vieport */
.menu a {
  color: white;
  text-decoration: none;
  letter-spacing: 1px;
  text-transform: uppercase;
}

/* MOBILE */
@media screen and (max-width: 768px) {

  .menu {
    display: none;
    flex-direction: column;
    background-color: #111;
  }

  .menu-icon {
    display: block;
  }

}

